<?xml version="1.0"?>
<!DOCTYPE fontconfig SYSTEM "fonts.dtd">
<fontconfig>

<!--
  Prefer bitmap fonts whereever possible if prefer_bitmap=true:
-->
  
<match target="pattern">
	<test name="prefer_bitmap">
		<bool>true</bool>
	</test>
	<test name="family">
		<string>Helvetica</string>
	</test>
	<test name="pixelsize" compare="more_eq">
			<double>8</double>
	</test>
	<test name="pixelsize" compare="less_eq">
			<double>20</double>
	</test>
	<edit name="family" mode="prepend" binding="same">
		<string>Adobe Helvetica</string>
	</edit>
</match>

<match target="pattern">
	<test name="prefer_bitmap">
		<bool>true</bool>
	</test>
	<test name="family">
		<string>Albany AMT</string>
	</test>
	<test name="pixelsize" compare="more_eq">
			<double>8</double>
	</test>
	<test name="pixelsize" compare="less_eq">
			<double>20</double>
	</test>
	<edit name="family" mode="prepend" binding="same">
		<string>Adobe Helvetica</string>
	</edit>
</match>

<match target="pattern">
	<test name="prefer_bitmap">
		<bool>true</bool>
	</test>
	<test name="family">
		<string>Arial</string>
	</test>
	<test name="pixelsize" compare="more_eq">
			<double>8</double>
	</test>
	<test name="pixelsize" compare="less_eq">
			<double>20</double>
	</test>
	<edit name="family" mode="prepend" binding="same">
		<string>Adobe Helvetica</string>
	</edit>
</match>

<match target="pattern">
	<test name="prefer_bitmap">
		<bool>true</bool>
	</test>
	<test name="family">
		<string>Nimbus Sans L</string>
	</test>
	<test name="pixelsize" compare="more_eq">
			<double>8</double>
	</test>
	<test name="pixelsize" compare="less_eq">
			<double>20</double>
	</test>
	<edit name="family" mode="prepend" binding="same">
		<string>Adobe Helvetica</string>
	</edit>
</match>

<match target="pattern">
	<test name="prefer_bitmap">
		<bool>true</bool>
	</test>
	<test name="family">
		<string>Times</string>
	</test>
	<test name="pixelsize" compare="more_eq">
			<double>8</double>
	</test>
	<test name="pixelsize" compare="less_eq">
			<double>20</double>
	</test>
	<edit name="family" mode="prepend" binding="same">
		<string>Adobe Times</string>
	</edit>
</match>

<match target="pattern">
	<test name="prefer_bitmap">
		<bool>true</bool>
	</test>
	<test name="family">
		<string>Thorndale AMT</string>
	</test>
	<test name="pixelsize" compare="more_eq">
			<double>8</double>
	</test>
	<test name="pixelsize" compare="less_eq">
			<double>20</double>
	</test>
	<edit name="family" mode="prepend" binding="same">
		<string>Adobe Times</string>
	</edit>
</match>

<match target="pattern">
	<test name="prefer_bitmap">
		<bool>true</bool>
	</test>
	<test name="family">
		<string>Times New Roman</string>
	</test>
	<test name="pixelsize" compare="more_eq">
			<double>8</double>
	</test>
	<test name="pixelsize" compare="less_eq">
			<double>20</double>
	</test>
	<edit name="family" mode="prepend" binding="same">
		<string>Adobe Times</string>
	</edit>
</match>

<match target="pattern">
	<test name="prefer_bitmap">
		<bool>true</bool>
	</test>
	<test name="family">
		<string>Nimbus Roman No9 L</string>
	</test>
	<test name="pixelsize" compare="more_eq">
			<double>8</double>
	</test>
	<test name="pixelsize" compare="less_eq">
			<double>20</double>
	</test>
	<edit name="family" mode="prepend" binding="same">
		<string>Adobe Times</string>
	</edit>
</match>

<match target="pattern">
	<test name="prefer_bitmap">
		<bool>true</bool>
	</test>
	<test name="family">
		<string>Courier</string>
	</test>
	<test name="pixelsize" compare="more_eq">
			<double>8</double>
	</test>
	<test name="pixelsize" compare="less_eq">
			<double>20</double>
	</test>
	<edit name="family" mode="prepend" binding="same">
		<string>Adobe Courier</string>
	</edit>
</match>

<match target="pattern">
	<test name="prefer_bitmap">
		<bool>true</bool>
	</test>
	<test name="family">
		<string>Cumberland AMT</string>
	</test>
	<test name="pixelsize" compare="more_eq">
			<double>8</double>
	</test>
	<test name="pixelsize" compare="less_eq">
			<double>20</double>
	</test>
	<edit name="family" mode="prepend" binding="same">
		<string>Adobe Courier</string>
	</edit>
</match>

<match target="pattern">
	<test name="prefer_bitmap">
		<bool>true</bool>
	</test>
	<test name="family">
		<string>Courier New</string>
	</test>
	<test name="pixelsize" compare="more_eq">
			<double>8</double>
	</test>
	<test name="pixelsize" compare="less_eq">
			<double>20</double>
	</test>
	<edit name="family" mode="prepend" binding="same">
		<string>Adobe Courier</string>
	</edit>
</match>

<match target="pattern">
	<test name="prefer_bitmap">
		<bool>true</bool>
	</test>
	<test name="family">
		<string>Nimbus Mono L</string>
	</test>
	<test name="pixelsize" compare="more_eq">
			<double>8</double>
	</test>
	<test name="pixelsize" compare="less_eq">
			<double>20</double>
	</test>
	<edit name="family" mode="prepend" binding="same">
		<string>Adobe Courier</string>
	</edit>
</match>

<match target="pattern">
	<test name="prefer_bitmap">
		<bool>true</bool>
	</test>
	<test name="family">
		<string>Fixed</string>
	</test>
	<edit name="family" mode="prepend" binding="same">
		<string>Misc Fixed</string>
	</edit>
</match>

<!--
  use bitmaps embedded in TrueType fonts if embeddedbitmap=true:
-->

<!--
  "Kochi Gothic" has embedded bitmaps from 10-17 pixel
  "Kochi Mincho" has embedded bitmaps from 10-17 and from 20-21 pixel
  But don't use the 20 and 21 pixel embedded bitmaps of "Kochi Mincho",
  as it is not nice if bitmaps are used from 10-17 and 20-21 pixel
  and scaled glyhps in between in the range from 17-20 pixel. That
  doesn't look nice together. Only use embedded bitmaps for
  complete size ranges without holes.
-->

<match target="font">
	<test name="embeddedbitmap">
		<bool>true</bool>
	</test>
	<test name="family">
			<string>Kochi Gothic</string>
			<string>Kochi Mincho</string>
	</test>
	<test name="pixelsize" compare="more_eq">
			<double>10</double>
	</test>
	<test name="pixelsize" compare="less_eq">
			<double>17</double>
	</test>
	<edit name="antialias" mode="assign">
		<bool>false</bool>
	</edit>
</match>

<match target="font">
	<test name="embeddedbitmap">
		<bool>true</bool>
	</test>
	<test name="family">
		<string>FZSongTi</string>
	</test>
	<test name="pixelsize" compare="more_eq">
			<double>12</double>
	</test>
	<test name="pixelsize" compare="less_eq">
			<double>18</double>
	</test>
	<edit name="antialias" mode="assign">
		<bool>false</bool>
	</edit>
</match>

<match target="font">
	<test name="embeddedbitmap">
		<bool>true</bool>
	</test>
	<test name="family">
		<string>MS Gothic</string>
		<string>MS PGothic</string>
		<string>MS UI Gothic</string>
		<string>MS Mincho</string>
		<string>MS PMincho</string>
	</test>
	<test name="pixelsize" compare="more_eq">
		<double>7</double>
	</test>
	<test name="pixelsize" compare="less_eq">
		<double>22</double>
	</test>
	<edit name="antialias" mode="assign">
		<bool>false</bool>
	</edit>
</match>

<!--
  Set fonts to be preferred when the standard aliases "serif", "sans-serif",
  and "monospace" are used.
-->

	<alias>
		<family>serif</family>
		<prefer>
			<family>Times New Roman</family>
			<family>URW Palladio L</family>
			<family>Thorndale AMT</family>
			<family>Nimbus Roman No9 L</family>
			<family>Luxi Serif</family>
			<family>FreeSerif</family>
			<family>Bitstream Vera Serif</family>
			<family>Times</family>
			<family>TSCu_Times</family>
			<family>Kochi Mincho</family>
			<family>FZSongTi</family>
			<family>AR PL SungtiL GB</family>
			<family>AR PL Mingti2L Big5</family>
			<family>Baekmuk Batang</family>
			<family>SimSun</family>
			<family>HanyiSong</family>
			<family>ZYSong18030</family>
		</prefer>
	</alias>
	<alias>
		<family>sans-serif</family>
		<prefer>
			<family>Tahoma</family>
		        <family>Verdana</family>
			<family>Arial</family>
			<family>XLinSans</family>
			<family>URW Gothic L</family>
			<family>Albany AMT</family>
			<family>Luxi Sans</family>
			<family>FreeSans</family>
			<family>Bitstream Vera Sans</family>
			<family>Nimbus Sans L</family>
			<family>Helvetica</family>
			<family>TSCu_Paranar</family>
			<family>Kochi Gothic</family>
			<family>FZKaiTi</family>
			<family>AR PL KaitiM GB</family>
			<family>AR PL KaitiM Big5</family>
			<family>Baekmuk Gulim</family>
			<family>Baekmuk Dotum</family>
		</prefer>
	</alias>
	<alias>
		<family>monospace</family>
		<prefer>
			<family>Courier New</family>
		        <family>Andale Mono</family>
			<family>Cumberland AMT</family>
			<family>Fixed</family>
			<family>Nimbus Mono L</family>
			<family>Luxi Mono</family>
			<family>FreeMono</family>
			<family>Bitstream Vera Sans Mono</family>
			<family>TSCu_Paranar</family>
			<family>Kochi Gothic</family>
			<family>FZSongTi</family>
			<family>AR PL SungtiL GB</family>
			<family>AR PL Mingti2L Big5</family>
			<family>Baekmuk Gulim</family>
			<family>Baekmuk Dotum</family>
			<family>NSimSun</family>
			<family>HanyiSong</family>
			<family>ZYSong18030</family>
		</prefer>
	</alias>

</fontconfig>

